extensions / Commerce extension
GET
/__runtime/user/rma/{rma_number}Get RMA
Returns the details of one of the authenticated customer's return (RMA) requests.
GET
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
rma_number | Yes | Not specified | Description: Value used by this operation. |
Query Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | integer | Description: Target project identifier. |
page | No | integer | Description: Page number for paginated results. |
per_page | No | integer | Description: Maximum number of records to return. |
q | No | string | Description: Search text used by this operation. |
Request Body
Response Body
Example 200 response
json
{
"rma_number": "string",
"order_number": "string",
"order_item_id": 1,
"item_name": "string",
"status": "active",
"reason": "string",
"description": "string",
"requested_qty": "string",
"admin_note": "string",
"resolution_note": "string",
"return_label_url": "string",
"return_tracking_number": "string",
"return_carrier": "string",
"return_address": [],
"requested_info_message": "string",
"customer_reply": "string",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
400 BAD_REQUEST401 UNAUTHORIZED404 NOT_FOUND500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

